### Constructor

# Clutter ColorNode new

#### Declaration [src]

    ClutterPaintNode*
    clutter_color_node_new (
      const ClutterColor* color
    )

#### Description [src]

Creates a new `ClutterPaintNode` that will paint a solid color fill using `color`.

#### Parameters

`color`

  Type: `ClutterColor`

  The color to paint, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ClutterPaintNode`

The newly created `ClutterPaintNode`. Use `clutter_paint_node_unref()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.